Summary: A Z-code interpreter for Infocom format text adventure games.
Name: xzip
Version: 180
Release: 2
Copyright: Freely redistributable
Group: Amusements/Games
Source: ftp://ftp.gmd.de/if-archive/infocom/interpreters/zip/xzip180.tar.Z
Source2: runzcode
Patch0: xzip-config.patch
BuildRoot: /var/tmp/xzip-root

%description
Xzip provides the Z-code interpreter which you'll need to play text
adventure games written in Infocom's Z-code game format, versions 1-5
and 8.

%prep
%setup -q -n xzip
%patch -p1 -b .patch

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{games,man/man6}

install -s xzip $RPM_BUILD_ROOT/usr/games/xzip
install xzip.1 $RPM_BUILD_ROOT/usr/man/man6/xzip.6

install -d -m 755 $RPM_BUILD_ROOT/usr/lib/games/zcode
install -m 755 $RPM_SOURCE_DIR/runzcode $RPM_BUILD_ROOT/usr/games/runzcode

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
/usr/man/man6/xzip.6
/usr/games/xzip
/usr/games/runzcode

%changelog
* Mon Dec 21 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- updated package

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Michael Fulbright <msf@redhat.com>
- updated to version 161

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
